# Function viewToEmailHtml

- viewToEmailHtml(view, state, options?): Promise<string>

- run the view and create email formatted html

  #### Parameters

  - ##### view: View

    view to run

  - ##### state: any

    state params for the view

  - ##### options: {
    locale?: string;
    } = {}

    - ##### `Optional` locale?: string

  #### Returns Promise<string>

  email formatted html

  - Defined in saltcorn-data/models/email.ts:179

Generated using TypeDoc